Subject: Re: Unknown fungus

From: [email-masked] (TomColeman)
Date: 12 Jul 1995 19:26:37 -0400

What you have been given is a fungus commonly called Kombucha. This is a
questionable endeavor. I suggest you read an article in a magazine called
"Mushroom- The Journal of Wild Mushrooming" entitled  "My Adventures with
the Blob" by Paul Stamets. It is in Issue 46, Vol.13, No. 1 Winter 94-95. 
Address is Mushroom, 861 Harold St. Moscow, ID. I would refrain from
drinking this tea until you read this article.  TJC